Bug 13279 - winbindd: don't split the rid for SID_NAME_DOMAIN sids in wb_lookupsids
winbindd: don't split the rid for SID_NAME_DOMAIN sids in wb_lookupsids
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 13287
  Show dependency treegraph
 
Reported: 2018-02-19 15:31 UTC by Ralph Böhme
Modified: 2018-05-07 07:06 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.8 cherry-picked from master (1.10 KB, patch)
2018-02-27 09:51 UTC, Ralph Böhme
metze: review+
Details
Patch for v4-7-test (1.09 KB, patch)
2018-04-17 06:16 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-02-19 15:31:42 UTC
This breaks resolving domains SIDs via this codepath.
Comment 1 Ralph Böhme 2018-02-27 09:51:10 UTC
Created attachment 13985 [details]
Patch for 4.8 cherry-picked from master
Comment 2 Stefan Metzmacher 2018-02-27 15:22:13 UTC
Pushed to autobuild-v4-8-test. But needs backport to older versions.
Comment 3 Karolin Seeger 2018-02-28 11:41:41 UTC
Pushed to v4-8-test.
Comment 4 Karolin Seeger 2018-03-22 20:48:00 UTC
Re-assigning to Metze for backports.
Comment 5 Stefan Metzmacher 2018-04-17 06:16:59 UTC
Created attachment 14147 [details]
Patch for v4-7-test
Comment 6 Ralph Böhme 2018-04-20 10:31:21 UTC
Reassinging to Karolin for inclusion in 4.7 (already in 4.8).
Comment 7 Karolin Seeger 2018-04-25 06:36:17 UTC
(In reply to Ralph Böhme from comment #6)
Pushed to autobuild-v4-7-test.
Comment 8 Karolin Seeger 2018-05-07 07:06:02 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-7-test.
Closing out bug report.

Thanks!